Skip to main content
GET
/
v1
/
templates
/
{template_id}
/
Retrieve a customization template
curl --request GET \
  --url https://prod.truv.com/v1/templates/{template_id}/ \
  --header 'X-Access-Client-Id: <api-key>' \
  --header 'X-Access-Secret: <api-key>'
{
  "id": "48427a36d43c4d5aa6324bc06c692456",
  "name": "My template",
  "products": [
    "income"
  ],
  "default_for_products": true,
  "created_at": "2022-05-04T11:30:00Z",
  "updated_at": "2022-05-04T12:00:00Z",
  "bridge": {},
  "branding": {},
  "orders": {},
  "document_upload": {},
  "data": {},
  "reports": {
    "hidden_sections": {
      "deposits": true,
      "large_deposits": true,
      "historical_payment_summary": true
    },
    "days_requested": 60,
    "large_deposit_threshold": 500,
    "transaction_categories": [
      "Food & Dining",
      "Travel",
      "Shopping"
    ],
    "transaction_account_types": [
      "CHECKING",
      "SAVINGS"
    ],
    "transaction_account_subtypes": [
      "FIXED_ANNUITY",
      "LOCKED_IN_RETIREMENT_ACCOUNT",
      "PLAN_401_A"
    ],
    "income_insights": {
      "days_requested": 60,
      "consumer_report_permissible_purpose": "WRITTEN_INSTRUCTION_OTHER"
    }
  },
  "data_sources_flow": {
    "employment": {
      "flow": "fallback",
      "data_sources": [
        "payroll"
      ]
    },
    "income": {
      "flow": "fallback",
      "data_sources": [
        "payroll"
      ]
    },
    "insurance": {
      "flow": "fallback",
      "data_sources": [
        "insurance"
      ]
    }
  }
}

Authorizations

X-Access-Client-Id
string
header
required

Client ID

X-Access-Secret
string
header
required

Client Access Key

Path Parameters

template_id
string
required

Response

id
string
required
read-only

Unique identifier of the template.

Maximum string length: 32
Example:

"48427a36d43c4d5aa6324bc06c692456"

name
string
default:My template
required

Template name

Maximum string length: 128
products
enum<string>[]
required

Products list this template applies to

Available options:
income,
employment,
deposit_switch,
pll,
insurance,
transactions,
assets
default_for_products
boolean
required

If enabled, the template will be applied for the products by default

created_at
string<date-time>
required
read-only

Timestamp when the template was created.

Example:

"2022-05-04T11:30:00Z"

updated_at
string<date-time>
required
read-only

Timestamp when the template was updated last time.

Example:

"2022-05-04T12:00:00Z"

bridge
object

Settings for bridge

branding
object

Settings for branding

orders
object

Settings for orders

document_upload
object

Settings for document upload.

When the other document type is enabled, end users can upload arbitrary documents that don't fit the other categories. Truv does not parse these documents into structured data (they are captured only) — you can collect the uploaded files through the Uploaded Documents API (GET /v1/links/{link_id}/documents/).

data
object

Settings for returned documents data

reports
object

Settings for reports

data_sources_flow
object

Data sources and flow configuration per product type. Supported product keys: employment, income, insurance.